uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marshall Schor <...@schor.com>
Subject Re: [jira] Updated: (UIMA-392) Eclipse Plugin packaging not working correctly
Date Sat, 05 May 2007 23:02:43 GMT
Thilo Goetz wrote:
> I don't know about everybody else, but I'm really sorry I voted for 
> the adoption of Maven when we moved to Apache.  It seemed like the 
> thing to do at the time, but I have come to regret it.  I have no good 
> understanding of how our build works, and the Maven documentation is 
> terrible.  If I had some spare time on my hands, I would consider 
> creating an Ant build (that everybody can understand).
>
> --Thilo

I too find the Maven docs not good, and there seems to be no way to 
nicely keep "drilling down" into the "source code" to get answers.

Leo Simons has a cute post about Maven and some alternatives on his blog:
http://www.leosimons.com/blog/  (look for "Replace maven with a shell 
script").  He seems to like ant 1.7 plus Ivy (a new Apache incubator 
project). 

-Marshall (not advocating anything)
>
> Adam Lally (JIRA) wrote:
>>      [ 
>> https://issues.apache.org/jira/browse/UIMA-392?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel

>> ]
>>
>> Adam Lally updated UIMA-392:
>> ----------------------------
>>
>>     Environment: Maven 2.0.6
>>
>> The build works in Maven v2.0.4, but fails in Maven v2.0.6.  It looks 
>> like the problem is in the Maven Assembly Plugin.  A workaround might 
>> be to change our root POM file to specify an older version of that 
>> plugin. 
>> In the mean time, don't use Maven 2.0.6 to build UIMA.
>>
>>> Eclipse Plugin packaging not working correctly
>>> ----------------------------------------------
>>>
>>>                 Key: UIMA-392
>>>                 URL: https://issues.apache.org/jira/browse/UIMA-392
>>>             Project: UIMA
>>>          Issue Type: Bug
>>>          Components: Build, Packaging and Test
>>>    Affects Versions: 2.2
>>>         Environment: Maven 2.0.6
>>>            Reporter: Adam Lally
>>>             Fix For: 2.2
>>>
>>>
>>> For some reason our build is now producing an extra level of 
>>> directories for the Eclipse plugins.  For example the CDE plugin now 
>>> has a top-level directory named 
>>> "uimaj-ep-configurator-2.2-incubating-SNAPSHOT.zip" in the final 
>>> build, which should not be there.
>>> I don't know what caused this.  It was working fine for the 2.1.0 
>>> build.
>>
>
>
>


Mime
View raw message